#!/bin/sh
#
# Package: auto-pilot
# Erez Zadok <ezk@cs.sunysb.edu>
# Copyright (c) 2001-2006 Stony Brook University

# Use our common settings

set -e

source commonsettings || exit $?

if [ "$FSTYPE" = "none" ] ; then
	exit 0
fi

if [ -z "$TESTROOT" ] ; then
	echo "You must specify the TESTROOT as an environment variable."
	exit 1
fi

# Unmount testroot
DOMOUNT=1
ap_hook unmount "$TESTDEV" "$TESTROOT" || ERR=1
if [ "$DOMOUNT" = "1" ] ; then
	ap_action $"Unmounting testroot" ap_unmount ${TESTROOT} || ERR=1
fi

exit $ERR
